# SimpleDateFormat Class Reference

Inherits DateFormat.

Inherited by AbsoluteTimeDateFormat, DateTimeDateFormat, and ISO8601DateFormat.

List of all members.

## Detailed Description

Concrete class for formatting and parsing dates in a locale-sensitive manner.

## Public Member Functions

| SimpleDateFormat (const LogString &pattern)
| Constructs a DateFormat using the given pattern and the default time zone.
| SimpleDateFormat (const LogString &pattern, const std::locale *locale)
| ~SimpleDateFormat ()
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const
| Formats an log4cxx_time_t into a date/time string.
void | setTimeZone (const TimeZonePtr &zone)
| Set time zone.

## Constructor & Destructor Documentation

SimpleDateFormat | ( | const LogString & | pattern | ) |

Constructs a DateFormat using the given pattern and the default time zone.

Parameters:

  | pattern | the pattern describing the date and time format

SimpleDateFormat | ( | const LogString & | pattern,
|  | const std::locale * | locale
| ) |

~SimpleDateFormat | ( |  | ) |

## Member Function Documentation

virtual void format | ( | LogString & | s,
|  | log4cxx_time_t | tm,
|  | log4cxx::helpers::Pool & | p
| ) | const`[virtual]`

Formats an log4cxx_time_t into a date/time string.

Parameters:

  | s | string to which the date/time string is appended.
  | tm | date to be formatted.
  | p | memory pool used during formatting.

Implements DateFormat.

void setTimeZone | ( | const TimeZonePtr & | zone | ) | `[virtual]`

Set time zone.

Parameters:

  | zone | new time zone.

Reimplemented from DateFormat.

The documentation for this class was generated from the following file:

- simpledateformat.h